<?php
header('Content-Type: text/html; charset=utf-8');
$file = 'messages.txt';

// 创建消息文件如果不存在
if (!file_exists($file)) {
    file_put_contents($file, '');
}

if ($_GET['action'] === 'read') {
    if (filesize($file) > 0) {
        echo nl2br(file_get_contents($file));
    } else {
        echo "<div class='message'>暂无消息，快来第一个发言吧！</div>";
    }
} elseif ($_GET['action'] === 'write') {
    if (isset($_POST['message']) && isset($_POST['nickname'])) {
        $message = htmlspecialchars($_POST['message'], ENT_QUOTES);
        $nickname = htmlspecialchars($_POST['nickname'], ENT_QUOTES);
        $timestamp = date('Y-m-d H:i:s');
        $entry = "<div class='message'><strong>{$nickname}</strong> [{$timestamp}]: {$message}</div>\n";
        
        file_put_contents($file, $entry, FILE_APPEND | LOCK_EX);
    }
}
?>